# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Digest/MD5.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name Email-Auth-AddressHash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: Email extension hash authentication mechanism
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AU/AURUM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a relatively simple module designed for applications which
receive email.  It provides a mechanism for authenticating email
requests, by checking that the To: address, which should be in the
form "username+hash@mydomain.com", contains the correct hash value for
that particular sender.  It uses the sender address and a locally-set
secret string to determine the correct hash for the user.  A single
AddressHash object may be used for multiple authentication checks
within the same system.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/E*

%changelog
* Fri Sep 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- initial import by package builder

